#
# spec file for package ruby-kde4 (Version 4.3.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           ruby-kde4
BuildRequires:  kdebase4-workspace-devel libQtWebKit-devel libkdepimlibs4-devel libqimageblitz-devel libsoprano-devel sqlite-devel
BuildRequires:  kate-devel python ruby-devel
%if %suse_version > 1020
BuildRequires:  libjasper-devel
%else
BuildRequires:  libjasper
%endif
License:        LGPLv2.1+
Group:          Development/Libraries/KDE
Summary:        Bindings for KDE 4.x libraries
Version:        4.3.5
Release:        0.1.1
Source0:        kdebindings-%version.tar.bz2
Patch0:         4_3_BRANCH.diff
Patch1:         plasma_no_examples.diff
Patch2:         build_qt4.6.1.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define is_mono 0
%define is_python 0
%define is_ruby 1
%define is_base 0
%if %is_base
%define debug_package_requires libsmoke2 = %{version}-%{release}
%endif
%if %is_python
%requires_eq python-qt4
%requires_eq python-sip
%requires_eq libkde4
%py_requires
%endif
%if %is_mono
Requires:       mono-qt = %version
%endif

%description

%if %is_base

%package -n libsmoke2
License:        LGPLv2.1+
Group:          Development/Libraries/KDE
Summary:        Bindings for KDE 4.x libraries

%description -n libsmoke2

%package -n libsmoke-devel
License:        LGPLv2.1+
Group:          Development/Libraries/KDE
Summary:        Bindings for KDE 4.x libraries
Requires:       libsmoke2 = %version

%description -n libsmoke-devel

%endif
%if %is_mono

%package -n libqyotoshared1
License:        LGPLv2.1+
Group:          Development/Libraries/KDE
Summary:        Bindings for Qt4 libraries

%description -n libqyotoshared1
Shared library for the Mono bindings for the Qt4 toolkit.

%package -n mono-qt
License:        LGPLv2.1+
Group:          Development/Libraries/KDE
Summary:        Bindings for Qt4 libraries
Requires:       libqyotoshared1 = %version

%description -n mono-qt
This package contains Mono bindings for the Qt4 toolkit.

%package -n mono-qt-devel
License:        LGPLv2.1+
Group:          Development/Libraries/KDE
Summary:        Bindings for KDE 4.x libraries
Requires:       mono-qt = %version

%description -n mono-qt-devel
This package contains development files for the Mono bindings for the Qt4 toolkit.

%endif
%if %is_python

%package devel
License:        LGPL v2.1 or later
Group:          Development/Libraries/KDE
Summary:        Bindings for KDE 4.x libraries
Requires:       python-kde4 = %version python-qt4-devel

%description devel
This package contains development files for the Python bindings for KDE4.

%endif

%prep
%setup -q -n kdebindings-%version
%patch0
%patch1
%patch2

%build
  rm -rf xparts php
%if %is_base
  rm -rf java ruby python csharp
%endif
%if %is_python
  rm -rf java ruby csharp
%endif
%if %is_ruby
  rm -rf java python csharp
  sed -i -r -e 's,add_subdirectory\( examples\),,' ruby/korundum/CMakeLists.txt
%endif
%if %is_mono
  rm -rf java python ruby
  sed -i -r -e 's,add_subdirectory\( examples\),,' csharp/kimono/CMakeLists.txt
%endif
  %cmake_kde4 -d build -- -DENABLE_SMOKEKDEVPLATFORM=OFF
  %make_jobs

%install
  cd build
  %makeinstall
%if !%is_base
  rm -rf $RPM_BUILD_ROOT/%_libdir/libsmoke*
  rm -rf $RPM_BUILD_ROOT//usr/include/smoke.h
  rm -rf $RPM_BUILD_ROOT//usr/include/smoke
%endif
%if %is_ruby
  rm -rf $RPM_BUILD_ROOT/usr/share/applications/kde4/dbpedia_references.desktop
%kde_post_install

%post -n ruby-kde4 -p /sbin/ldconfig

%postun -n ruby-kde4 -p /sbin/ldconfig
%endif
%if %is_base

%post -n libsmoke2 -p /sbin/ldconfig

%postun -n libsmoke2  -p /sbin/ldconfig
%endif
%if %is_mono

%post -n libqyotoshared1 -p /sbin/ldconfig

%postun -n libqyotoshared1 -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT
%if %is_base

%files -n libsmoke2
%defattr(-,root,root)
%_kde4_libdir/libsmokeakonadi.so.2
%_kde4_libdir/libsmokeakonadi.so.2.0.0
%_kde4_libdir/libsmokekde.so.2
%_kde4_libdir/libsmokekde.so.2.0.0
%_kde4_libdir/libsmokeqt.so.2
%_kde4_libdir/libsmokeqt.so.2.0.0
%_kde4_libdir/libsmokekhtml.so.2
%_kde4_libdir/libsmokekhtml.so.2.0.0
%_kde4_libdir/libsmokektexteditor.so.2
%_kde4_libdir/libsmokektexteditor.so.2.0.0
%_kde4_libdir/libsmokeqtuitools.so.2
%_kde4_libdir/libsmokeqtuitools.so.2.0.0
%_kde4_libdir/libsmokeqtwebkit.so.2
%_kde4_libdir/libsmokeqtwebkit.so.2.0.0
%_kde4_libdir/libsmokesolid.so.2
%_kde4_libdir/libsmokesolid.so.2.0.0
%_kde4_libdir/libsmokenepomuk.so.*
%_kde4_libdir/libsmokeqtscript.so.*
%_kde4_libdir/libsmokesoprano.so.*
%_kde4_libdir/libsmokeplasma.so.2
%_kde4_libdir/libsmokeplasma.so.2.0.0
%_kde4_libdir/libsmokeqttest.so.2
%_kde4_libdir/libsmokeqttest.so.2.0.0
%_kde4_libdir/libsmokeqimageblitz.so.*

%files -n libsmoke-devel
%defattr(-,root,root)
/usr/include/smoke.h
/usr/include/smoke
%_kde4_libdir/libsmokeakonadi.so
%_kde4_libdir/libsmokekde.so
%_kde4_libdir/libsmokeqt.so
%_kde4_libdir/libsmokekhtml.so
%_kde4_libdir/libsmokektexteditor.so
%_kde4_libdir/libsmokeplasma.so
%_kde4_libdir/libsmokeqttest.so
%_kde4_libdir/libsmokeqtuitools.so
%_kde4_libdir/libsmokeqtwebkit.so
%_kde4_libdir/libsmokesolid.so
%_kde4_libdir/libsmokenepomuk.so
%_kde4_libdir/libsmokeqtscript.so
%_kde4_libdir/libsmokesoprano.so
%_kde4_libdir/libsmokeqimageblitz.so
%endif
%if %is_python

%files devel 
%defattr(-,root,root)
%_kde4_appsdir/pykde4/examples
/usr/share/sip/PyKDE4

%files
%defattr(-,root,root)
%_kde4_modulesdir/krosspython.so
%_kde4_bindir/pykdeuic4
%py_sitedir/PyQt4
%py_sitedir/PyKDE4
%exclude %_kde4_appsdir/pykde4/examples
%_kde4_appsdir/pykde4
%_kde4_modulesdir/kpythonpluginfactory.so
%endif
%if %is_ruby

%files
%defattr(-,root,root)
%_kde4_modulesdir/krossruby.so
%_kde4_modulesdir/krubypluginfactory.so
%_kde4_libdir/libqtruby4shared.so
%_kde4_libdir/libqtruby4shared.so.*
%_kde4_libdir/ruby/site_ruby/*/akonadi
%_kde4_libdir/ruby/site_ruby/*/*-linux/akonadi.so
%_kde4_libdir/ruby/site_ruby/*/KDE
%_kde4_libdir/ruby/site_ruby/*/khtml/khtml.rb
%_kde4_libdir/ruby/site_ruby/*/ktexteditor/ktexteditor.rb
%_kde4_libdir/ruby/site_ruby/*/*-linux/khtml.so
%_kde4_libdir/ruby/site_ruby/*/*-linux/korundum4.so
%_kde4_libdir/ruby/site_ruby/*/*-linux/ktexteditor.so
%_kde4_libdir/ruby/site_ruby/*/*-linux/qtruby4.so
%_kde4_libdir/ruby/site_ruby/*/*-linux/qtuitools.so
%_kde4_libdir/ruby/site_ruby/*/*-linux/qtwebkit.so
%_kde4_libdir/ruby/site_ruby/*/*-linux/solid.so
%_kde4_libdir/ruby/site_ruby/*/*-linux/nepomuk.so
%_kde4_libdir/ruby/site_ruby/*/Qt
%_kde4_libdir/ruby/site_ruby/*/Qt3.rb
%_kde4_libdir/ruby/site_ruby/*/Qt4.rb
%_kde4_libdir/ruby/site_ruby/*/Qt.rb
%_kde4_libdir/ruby/site_ruby/*/qtuitools/qtuitools.rb
%_kde4_libdir/ruby/site_ruby/*/qtwebkit/qtwebkit.rb
%_kde4_libdir/ruby/site_ruby/*/solid/solid.rb
%_kde4_libdir/ruby/site_ruby/*/*-linux/qtscript.so
%_kde4_libdir/ruby/site_ruby/*/*-linux/soprano.so
%_kde4_libdir/ruby/site_ruby/*/qtscript/qtscript.rb
%_kde4_libdir/ruby/site_ruby/*/soprano/soprano.rb
%_kde4_libdir/ruby/site_ruby/*/khtml
%_kde4_libdir/ruby/site_ruby/*/nepomuk
%_kde4_libdir/ruby/site_ruby/*/ktexteditor
%_kde4_libdir/ruby/site_ruby/*/qtscript
%_kde4_libdir/ruby/site_ruby/*/qtuitools
%_kde4_libdir/ruby/site_ruby/*/qtwebkit
%_kde4_libdir/ruby/site_ruby/*/solid
%_kde4_libdir/ruby/site_ruby/*/soprano
%_kde4_libdir/ruby/site_ruby/*/*-linux/plasma_applet.so
%_kde4_libdir/ruby/site_ruby/*/*-linux/qttest.so
%_kde4_libdir/ruby/site_ruby/*/qttest
%_kde4_appsdir/dbpedia_references
%_kde4_bindir/krubyapplication
%_kde4_bindir/rbkconfig_compiler4
%_kde4_bindir/rbqtapi
%_kde4_bindir/rbrcc
%_kde4_bindir/rbuic4
/usr/include/qtruby
%_kde4_appsdir/dbpedia_references/dbpedia_references.rb
%endif
%if %is_mono

%files -n libqyotoshared1
%defattr(-,root,root)
%_kde4_libdir/libqyotoshared.so.*

%files -n mono-qt
%defattr(-,root,root)
%_prefix/lib/mono/2.0/qt-dotnet.dll
%_prefix/lib/mono/2.0/qtscript.dll
%_prefix/lib/mono/2.0/qttest.dll
%_prefix/lib/mono/2.0/qtuitools.dll
%_prefix/lib/mono/2.0/qtwebkit.dll
%_prefix/lib/mono/2.0/qimageblitz.dll
%_prefix/lib/mono/gac/qt-dotnet
%_prefix/lib/mono/gac/qtscript
%_prefix/lib/mono/gac/qttest
%_prefix/lib/mono/gac/qtuitools
%_prefix/lib/mono/gac/qtwebkit
%_prefix/lib/mono/gac/qimageblitz
%_kde4_libdir/libqtscript-sharp.so
%_kde4_libdir/libqyoto.so
%_kde4_libdir/libqttest-sharp.so
%_kde4_libdir/libqtuitools-sharp.so
%_kde4_libdir/libqtwebkit-sharp.so
%_kde4_libdir/libqimageblitz-sharp.so

%files -n mono-qt-devel
%defattr(-,root,root)
%_kde4_bindir/csrcc
%_kde4_bindir/uics
/usr/include/qyoto
%_kde4_libdir/libqyotoshared.so
%_kde4_libdir/pkgconfig/qyoto.pc
%_kde4_libdir/pkgconfig/qtwebkit-sharp.pc
%_kde4_libdir/pkgconfig/qttest-sharp.pc
%_kde4_libdir/pkgconfig/qtuitools-sharp.pc
%_kde4_libdir/pkgconfig/qtscript-sharp.pc

%files
%defattr(-,root,root)
%_prefix/lib/mono/2.0/akonadi.dll
%_prefix/lib/mono/2.0/kde-dotnet.dll
%_prefix/lib/mono/2.0/khtml-dll.dll
%_prefix/lib/mono/2.0/ktexteditor-dotnet.dll
%_prefix/lib/mono/2.0/nepomuk-dll.dll
%_prefix/lib/mono/2.0/plasma-dll.dll
%_prefix/lib/mono/2.0/soprano.dll
%_prefix/lib/mono/gac/akonadi
%_prefix/lib/mono/gac/kde-dotnet
%_prefix/lib/mono/gac/khtml-dll
%_prefix/lib/mono/gac/ktexteditor-dotnet
%_prefix/lib/mono/gac/nepomuk-dll
%_prefix/lib/mono/gac/plasma-dll
%_prefix/lib/mono/gac/soprano
%_kde4_modulesdir/kimonopluginfactory.so
%_kde4_libdir/libakonadi-sharp.so
%_kde4_libdir/libkhtml-sharp.so
%_kde4_libdir/libkimono.so
%_kde4_libdir/libktexteditor-sharp.so
%_kde4_libdir/libnepomuk-sharp.so
%_kde4_libdir/libplasma-sharp.so
%_kde4_libdir/libsoprano-sharp.so
%_datadir/kde4/apps/plasma_scriptengine_kimono
%_datadir/kde4/services/plasma-scriptengine-kimono-applet.desktop
%_datadir/kde4/services/plasma-scriptengine-kimono-dataengine.desktop
%if 0

%files -n mono-kde4-examples
%defattr(-,root,root)
/usr/src/packages/BUILD/kdebindings-4.2.0/build/csharp/plasma/examples/applets/analog-clock/csharp-analog-clock/contents/code/main
/usr/src/packages/BUILD/kdebindings-4.2.0/build/csharp/plasma/examples/applets/analog-clock/csharp-analog-clock/contents/code/plasmaclock.dll
/usr/src/packages/BUILD/kdebindings-4.2.0/build/csharp/plasma/examples/applets/analog-clock/csharp-analog-clock/metadata.desktop
/usr/src/packages/BUILD/kdebindings-4.2.0/build/csharp/plasma/examples/applets/tiger/csharp-tiger/contents/code/main
/usr/src/packages/BUILD/kdebindings-4.2.0/build/csharp/plasma/examples/applets/tiger/csharp-tiger/contents/images/tiger.svg
/usr/src/packages/BUILD/kdebindings-4.2.0/build/csharp/plasma/examples/applets/tiger/csharp-tiger/metadata.desktop
/usr/src/packages/BUILD/kdebindings-4.2.0/build/csharp/plasma/examples/dataengines/time/csharp-time/contents/code/main
/usr/src/packages/BUILD/kdebindings-4.2.0/build/csharp/plasma/examples/dataengines/time/csharp-time/metadata.desktop
%endif
#end of mono stuff
%endif

%changelog
* Mon Jan 25 2010 llunak@novell.com
- build also with Qt 4.6.1
* Thu Jan 21 2010 dmueller@suse.de
- update to 4.3.5
  * see http://kde.org/announcements/changelogs/changelog4_3_4to4_3_5.php for details
* Thu Dec  3 2009 dmueller@suse.de
- update to 4.3.4
  * see http://kde.org/announcements/changelogs/changelog4_3_3to4_3_4.php for details
* Thu Nov 19 2009 llunak@novell.com
- sync 11.2 KDE packages with SLE (fate#305847)
* Thu Sep 24 2009 beineri@opensuse.org
- update 4_3_BRANCH.diff
* Fri Aug 28 2009 dmueller@suse.de
- update to 4.3.1
  * see http://kde.org/announcements/changelogs/changelog4_3_0to4_3_1.php for details
* Wed Jul 29 2009 dmueller@suse.de
- update to 4.3.0
  * see http://kde.org/announcements/4.3 for details
* Tue Jul 21 2009 dmueller@suse.de
- update to 4.2.98
* Sat Jul 11 2009 beineri@opensuse.org
- create a python-kde4-devel sub-package
* Thu Jul  9 2009 dmueller@suse.de
- update to 4.2.96
* Wed Jun 24 2009 dmueller@suse.de
- update to 4.2.95
* Sat Jun 20 2009 beineri@opensuse.org
- update build requires
* Wed Jun  3 2009 dmueller@suse.de
- update to 4.2.90
* Wed May 27 2009 dmueller@suse.de
- update to 4.2.88svn973768
* Thu May 21 2009 beineri@opensuse.org
- fix build with gcc-4.4
* Sun May 17 2009 beineri@opensuse.org
- update to 4.2.85 (KDE 4.3 Beta1)
* Thu Apr 30 2009 dmueller@suse.de
- update to 4.2.3
  * see http://kde.org/announcements/changelogs/changelog4_2_2to4_2_3.php
* Thu Mar 26 2009 dmueller@suse.de
- update to 4.2.2
  * see http://kde.org/announcements/changelogs/changelog4_2_1to4_2_2.php
* Fri Mar 13 2009 wstephenson@suse.de
- Add packageconfig files from trunk needed for Mono development
  Patch by Eric Butler
* Fri Feb 27 2009 dmueller@suse.de
- update to 4.2.1
  * see http://kde.org/announcements/changelogs/changelog4_2_0to4_2_1.php
* Wed Feb 18 2009 wstephenson@suse.de
- Build Mono bindings
* Thu Jan 22 2009 dmueller@suse.de
- update to 4.2.0
* Tue Jan 13 2009 dmueller@suse.de
- update to 4.1.96
* Sat Jan 10 2009 dmueller@suse.de
- update to KDE 4.1.87 (KDE 4.2 Januar snapshot)
* Mon Dec  8 2008 dmueller@suse.de
- fix build against sip 4.7.9
* Fri Oct 31 2008 dmueller@suse.de
- update to 4.1.3
  * see http://kde.org/announcements/changelogs/changelog4_1_2to4_1_3.php
* Mon Oct 13 2008 stbinner@suse.de
- fix build of ruby-kde4
* Wed Oct  8 2008 dmueller@suse.de
- add missing post/un
* Sun Sep 28 2008 stbinner@suse.de
- update to 4.1.2
* Wed Sep 10 2008 ro@suse.de
- use py_sitedir macro
* Thu Aug 28 2008 dmueller@suse.de
- update to 4.1.1
* Mon Aug 18 2008 stbinner@suse.de
- fix build of ruby-kde4
* Thu Aug  7 2008 dmueller@suse.de
- fix debug package requires
* Fri Aug  1 2008 ro@suse.de
- fix requires for debuginfo package
* Tue Jul 29 2008 dmueller@suse.de
- add missing python requires
* Wed Jul 23 2008 dmueller@suse.de
- update to 4.1.0
* Tue Jul 22 2008 dmueller@suse.de
- update to 4.0.99:
  * add fix for python-kde4 on x86_64
* Mon Jul  7 2008 dmueller@suse.de
- update to 4.0.85
* Wed Jun 18 2008 dmueller@suse.de
- update to 4.0.83
* Tue Jun 10 2008 dmueller@suse.de
- update to 4.0.82
* Mon Jun  9 2008 dmueller@suse.de
- update to 4.0.81
* Wed May 28 2008 dmueller@suse.de
- fix fallout from stricter checks in SIP 4.7.6
* Wed May  7 2008 dmueller@suse.de
- fix buildrequires
* Thu May  1 2008 dmueller@suse.de
- update to 4.0.4
  * http://www.kde.org/announcements/changelogs/changelog4_0_3to4_0_4.php
* Thu Apr 24 2008 dmueller@suse.de
- fix filelist
* Mon Apr 21 2008 dmueller@suse.de
- add missing ldconfig calls to post/un
* Thu Mar 27 2008 dmueller@suse.de
- update to 4.0.3
* Wed Feb 27 2008 dmueller@suse.de
- update to 4.0.2
* Thu Jan 31 2008 dmueller@suse.de
- update to 4.0.1
* Sun Jan  6 2008 stbinner@suse.de
- update to 4.0 release
* Wed Jan  2 2008 stbinner@suse.de
- update to 3.97.2
* Sun Dec 16 2007 dmueller@suse.de
- update to 3.97.1
* Wed Dec  5 2007 dmueller@suse.de
- update to 3.97.0
* Tue Dec  4 2007 dmueller@suse.de
- update to 3.96.3
* Sat Dec  1 2007 dmueller@suse.de
- update to 3.96.2
* Wed Nov 21 2007 dmueller@suse.de
- update to 3.96.1
* Wed Nov 14 2007 dmueller@suse.de
- update to 3.96.0
* Wed Nov  7 2007 dmueller@suse.de
- update to 3.95.2
* Thu Nov  1 2007 dmueller@suse.de
- update to 3.95.1
* Fri Oct 26 2007 dmueller@suse.de
- update to KDE 4.0 beta4
* Thu Oct 18 2007 dmueller@suse.de
- KDE 3.94.1 update
* Thu Oct 11 2007 dmueller@suse.de
- update to KDE 4.0 Beta3
